G-VAR
1
BRL-CAD
BRL-CAD
User Commands

# g-var

Produce (OpenGL) Vertex Arrays from BOT BRL-CAD geometry

      g-var
        -v
        -y
        -s scale
        -f
        -o outfile
        infile.g
        object

## DESCRIPTION

`g-var` writes the bag of triangle (BOT) primitives of the specified object in a binary array format to outfile or to stdout.

## OPTIONS

`-v`

  Request verbose output.

`-y`

  Transform the coordinate system from xyz to xzy.

`-s scale`

  Scale the output geometry by factor scale . By default the scale factor is 0.001 (standard transformation from meters to millimeters.)

`-f`

  Flip face normals. This changes both the vertex order and the output normals.

`-o outfile`

  The output will be written to outfile . By default the output is written to stdout.

## FILE FORMAT

TODO

## EXAMPLE

    $ g-var -o sample.mesh sample.g sample_object

## DIAGNOSTICS

Error messages are intended to be self-explanatory.

## AUTHOR

Prasad Silva

## COPYRIGHT

This software is Copyright (c) 2006-2013 by the United States Government as represented by U.S. Army Research Laboratory.

## BUG REPORTS

Reports of bugs or problems should be submitted via electronic mail to <devs@brlcad.org>.